curl --request POST \
--url https://futures.kraken.com/derivatives/api/v3/rfqs/place-offer/{rfqUid} \
--header 'APIKey: <api-key>' \
--header 'Authent: <api-key>'import requests
url = "https://futures.kraken.com/derivatives/api/v3/rfqs/place-offer/{rfqUid}"
headers = {
"APIKey": "<api-key>",
"Authent": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {APIKey: '<api-key>', Authent: '<api-key>'}};
fetch('https://futures.kraken.com/derivatives/api/v3/rfqs/place-offer/{rfqUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/derivatives/api/v3/rfqs/place-offer/{rfqUid}"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("APIKey", "<api-key>")
req.Header.Add("Authent", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"result": "success",
"serverTime": "2023-11-07T05:31:56Z",
"offerUId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"result": "error",
"serverTime": "2023-11-07T05:31:56Z",
"errors": [
{
"code": 123,
"message": "<string>"
}
]
}{
"error": "accountInactive",
"result": "error",
"serverTime": "2020-08-27T17:03:33.196Z",
"errors": [
"accountInactive"
]
}Place new offer on an open RFQ
Place a new offer on the specified open RFQ. At least one of bid or ask must be provided.
HTTP 200 is returned for both a successful placement and a rejected offer (status: failed). A rejected offer includes reason and, when the rejection came from validating
one quoted side, side (bid or ask). Bid is checked first; request-level failures omit
side.
curl --request POST \
--url https://futures.kraken.com/derivatives/api/v3/rfqs/place-offer/{rfqUid} \
--header 'APIKey: <api-key>' \
--header 'Authent: <api-key>'import requests
url = "https://futures.kraken.com/derivatives/api/v3/rfqs/place-offer/{rfqUid}"
headers = {
"APIKey": "<api-key>",
"Authent": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {APIKey: '<api-key>', Authent: '<api-key>'}};
fetch('https://futures.kraken.com/derivatives/api/v3/rfqs/place-offer/{rfqUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/derivatives/api/v3/rfqs/place-offer/{rfqUid}"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("APIKey", "<api-key>")
req.Header.Add("Authent", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"result": "success",
"serverTime": "2023-11-07T05:31:56Z",
"offerUId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"result": "error",
"serverTime": "2023-11-07T05:31:56Z",
"errors": [
{
"code": 123,
"message": "<string>"
}
]
}{
"error": "accountInactive",
"result": "error",
"serverTime": "2020-08-27T17:03:33.196Z",
"errors": [
"accountInactive"
]
}Authorizations
General API key with full access
Authentication string
Path Parameters
Unique identifier for the RFQ
Query Parameters
The bid price in USD
"12.0353200"
The ask price in USD
"12.0353200"
JSON-encoded per-leg bid pricing. Format: [{"tradeable": "PI_XBTUSD", "price": 100}].
When provided, bid/ask query params must be omitted.
JSON-encoded per-leg ask pricing. Format: [{"tradeable": "PI_XBTUSD", "price": 101}].
When provided, bid/ask query params must be omitted.
Was this page helpful?